package com.qmth.sop.common.enums;

/**
 * @Description: 日志类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum LogTypeEnum {
    LOGIN("登录", true),
    LOGOUT("退出", true),
    EDIT("编辑", false),
    ADD("新增", true),
    DELETE("删除", true),
    UPDATE("修改", true),
    SEARCH("查询", true),
    IMPORT("导入", true),
    EXPORT("导出", true),
    PUSH("推送", true),
    PREVIEW("预览", true),
    UN_KNOW("未知", false);

    private final String title;
    private final boolean primary;

    LogTypeEnum(String title, boolean primary) {
        this.title = title;
        this.primary = primary;
    }

    public String getTitle() {
        return title;
    }

    public boolean isPrimary() {
        return primary;
    }
}
